# Interface JmolNavigatorInterface

All Superinterfaces:
  `Runnable`

All Known Implementing Classes:
  `Navigator`

public interface JmolNavigatorInterface extends Runnable

## Method Summary

Modifier and Type
Method
Description
`void`
`calcNavigationPoint()`
`String`
`getNavigationState()`
`void`
`interrupt()`
`void`
`navigateAxis(V3 rotAxis, float degrees)`
`void`
`navigateKey(int keyCode, int modifiers)`
`void`
`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`
`void`
`navTranslatePercentOrTo(float seconds, float x, float y)`
`void`
`set(TransformManager transformManager, Viewer vwr)`
`void`
`setNavigationDepthPercent(float percent)`
`void`
`setNavigationOffsetRelative()`
`void`
`zoomByFactor(float factor, int x, int y)`

### Methods inherited from interface Runnable

`run`

## Method Details

### set

void set(TransformManager transformManager, Viewer vwr)

### zoomByFactor

void zoomByFactor(float factor, int x, int y)

### calcNavigationPoint

void calcNavigationPoint()

### setNavigationOffsetRelative

void setNavigationOffsetRelative()

### navigateKey

void navigateKey(int keyCode, int modifiers)

### navigateList

void navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)

### navigateAxis

void navigateAxis(V3 rotAxis, float degrees)

### setNavigationDepthPercent

void setNavigationDepthPercent(float percent)

### getNavigationState

String getNavigationState()

### navTranslatePercentOrTo

void navTranslatePercentOrTo(float seconds, float x, float y)

### interrupt

void interrupt()